Bug 980944 - [abrt] gnome-font-viewer-3.6.2-1.fc18: __pthread_mutex_lock: Process /usr/bin/gnome-font-viewer was killed by signal 11 (SIGSEGV)
[abrt] gnome-font-viewer-3.6.2-1.fc18: __pthread_mutex_lock: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
abrt_hash:57210c416ef61b035f14659eeb6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 11:38 EDT by Bruce-Robert Pocock
Modified: 2014-02-05 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:03:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.84 KB, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: cgroup (131 bytes, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: core_backtrace (3.00 KB, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: dso_list (10.24 KB, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: environ (4.30 KB, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: maps (77.69 KB, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: open_fds (300 bytes, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2013-07-03 11:38 EDT, Bruce-Robert Pocock
no flags Details

  None (edit)
Description Bruce-Robert Pocock 2013-07-03 11:38:23 EDT
Version-Release number of selected component:
gnome-font-viewer-3.6.2-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-font-viewer /home/brpocock/.fonts/Library/PetMe2X.ttf
crash_function: __pthread_mutex_lock
executable:     /usr/bin/gnome-font-viewer
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 14 12:19:27 BRPocock abrt[4357]: Saved core dump of pid 31307 (/usr/bin/gnome-font-viewer) to /var/tmp/abrt/ccpp-2013-06-14-12:19:26-31307 (98504704 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at pthread_mutex_lock.c:50
 #1 g_mutex_lock at gthread-posix.c:210
 #2 external_thumbnailers_disabled_changed_cb at gnome-desktop-thumbnail.c:770
 #3 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #4 _g_closure_invoke_va at gclosure.c:840
 #7 g_settings_real_change_event at gsettings.c:288
 #8 ffi_call_unix64 at ../src/x86/unix64.S:75
 #9 ffi_call at ../src/x86/ffi64.c:486
 #10 g_cclosure_marshal_generic_va at gclosure.c:1550
 #11 _g_closure_invoke_va at gclosure.c:840
Comment 1 Bruce-Robert Pocock 2013-07-03 11:38:27 EDT
Created attachment 768291 [details]
File: backtrace
Comment 2 Bruce-Robert Pocock 2013-07-03 11:38:29 EDT
Created attachment 768292 [details]
File: cgroup
Comment 3 Bruce-Robert Pocock 2013-07-03 11:38:32 EDT
Created attachment 768293 [details]
File: core_backtrace
Comment 4 Bruce-Robert Pocock 2013-07-03 11:38:35 EDT
Created attachment 768294 [details]
File: dso_list
Comment 5 Bruce-Robert Pocock 2013-07-03 11:38:37 EDT
Created attachment 768295 [details]
File: environ
Comment 6 Bruce-Robert Pocock 2013-07-03 11:38:40 EDT
Created attachment 768296 [details]
File: limits
Comment 7 Bruce-Robert Pocock 2013-07-03 11:38:43 EDT
Created attachment 768297 [details]
File: maps
Comment 8 Bruce-Robert Pocock 2013-07-03 11:38:45 EDT
Created attachment 768298 [details]
File: open_fds
Comment 9 Bruce-Robert Pocock 2013-07-03 11:38:48 EDT
Created attachment 768299 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2013-12-21 09:14:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 17:03:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.